com.smartgwt.client.ai

## Class SummarizeValueExample

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.ai.SummarizeValueExample

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class SummarizeValueExample
      extends DataClass

  An example to provide to AI.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SummarizeValueExample()`
    `SummarizeValueExample(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SummarizeValueExample` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `Record` | `getRecord()` If specified, the `Record` containing the example `value`.
    `java.lang.String` | `getSummary()` The example summary of the `value`.
    `java.lang.Object` | `getValue()` The example value.
    `SummarizeValueExample` | `setRecord(Record record)` If specified, the `Record` containing the example `value`.
    `SummarizeValueExample` | `setSummary(java.lang.String summary)` The example summary of the `value`.
    `SummarizeValueExample` | `setValue(java.lang.Object value)` The example value.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SummarizeValueExample

          public SummarizeValueExample()

    - #### SummarizeValueExample

          public SummarizeValueExample(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static SummarizeValueExample getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setRecord

          public SummarizeValueExample setRecord(Record record)

      If specified, the `Record` containing the example `value`.
      Parameters:
        `record` - New record value. Default value is null
      Returns:
        `SummarizeValueExample` instance, for chaining setter calls

    - #### getRecord

          public Record getRecord()

      If specified, the `Record` containing the example `value`.
      Returns:
        Current record value. Default value is null

    - #### setSummary

          public SummarizeValueExample setSummary(java.lang.String summary)

      The example summary of the `value`.
      Parameters:
        `summary` - New summary value. Default value is null
      Returns:
        `SummarizeValueExample` instance, for chaining setter calls

    - #### getSummary

          public java.lang.String getSummary()

      The example summary of the `value`.
      Returns:
        Current summary value. Default value is null

    - #### setValue

          public SummarizeValueExample setValue(java.lang.Object value)

      The example value. Must be of the same type as the SummarizeValueRequest.valueType.

      Note: A current limitation is that the `valueType` must be TEXT (or `null`).

      Parameters:
        `value` - New value value. Default value is null
      Returns:
        `SummarizeValueExample` instance, for chaining setter calls

    - #### getValue

          public java.lang.Object getValue()

      The example value. Must be of the same type as the SummarizeValueRequest.valueType.

      Note: A current limitation is that the `valueType` must be TEXT (or `null`).

      Returns:
        Current value value. Default value is null